> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Label Master List

> Generates a temporary download URL for the latest label master list (JSON file).

<Note>Metadata Exports are available exclusively to [Enterprise plan](https://etherscan.io/api/pricing) customers. [Contact Sales](https://etherscan.io/api/pricing#contactSection) to explore Enterprise access.</Note>

<Tip>
  The `result` is a temporary download link, not the data itself. Fetch that URL within 5 minutes to download the label master list (JSON). Use the label slugs it contains as the `label` value in [Export Address Tags](/api-reference/endpoint/exportaddresstags-v2).
</Tip>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": "https://metadata-export.etherscan.io/1/labelmasterlist_latest.json?X-Amz-Expires=300&response-content-disposition=attachment%3B%20filename%3Dexport-labelmasterlist_latest.json&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=0056c267039aefa0000000005/20260305/us-east-005/s3/aws4_request&X-Amz-Date=20260305T082933Z&X-Amz-SignedHeaders=host&X-Amz-Signature=a795d41a87821a3224b3d9e56819f0fdc5b869c43278c6c96773966798a80f71"
  }
  ```

  ```json Downloaded JSON theme={null}
  {
     "status":"1",
     "message":"OK",
     "result":[
        {
           "labelname":"Axelar",
           "labelslug":"axelar",
           "shortdescription":"Axelar delivers secure cross-chain communication for Web3. Its infrastructure enables dApp users to interact with any asset or application, on any chain, with one click. Axelar is an overlay network, delivering Turing-complete message passing via proof-of-stake and permissionless protocols.",
           "notes":"",
           "lastupdatedtimestamp":1712897117
        },
        {
           "labelname":"Binance",
           "labelslug":"binance",
           "shortdescription":"Binance is one of the world’s leading blockchain ecosystems, with a product suite that includes the largest digital asset exchange.",
           "notes":"",
           "lastupdatedtimestamp":1759922816
        }
     ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/getlabelmasterlist-v2.json GET /v2/api
openapi: 3.1.0
info:
  title: Export Label Master List
  version: 2.0.0
  description: >-
    Generates a temporary download URL for the latest label master list (JSON
    file).
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api-metadata.etherscan.io
    description: Etherscan Metadata API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Export Label Master List
      operationId: getGetlabelmasterlistV2
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, refer to mainnet networks on our [supported
            chains](/supported-chains) page. 1 chain temporarily unavailable:
            MegaETH(4326).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to nametag for this endpoint.
          schema:
            type: string
            default: nametag
          example: nametag
        - name: action
          in: query
          required: true
          description: Set to getlabelmasterlist for this endpoint.
          schema:
            type: string
            default: getlabelmasterlist
          example: getlabelmasterlist
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: string
                    description: URL to download the exported label master list.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````